<div class="meals-list" [nbSpinner]="isLoading" nbSpinnerMessage="Loading meals.." >
  <div class="list pt-5" *ngIf="!isLoading && meals.length" @list>
    <app-meal-item
      *ngFor="let meal of meals | paginate: { itemsPerPage: 10, currentPage: currentParams.page, totalItems: totalItems }"
      [meal]="meal"
      @items
    >
    </app-meal-item>

    <div class="mt-5">
      <pagination-controls (pageChange)="onPageChange($event)"></pagination-controls>
    </div>
  </div>

  <ng-container *ngIf="!isLoading && meals.length === 0">
    <nb-alert outline="info" class="mt-5">Oops! There are no meals for this category! Try something else :)</nb-alert>
  </ng-container>
</div>
